/* ======================================================================== */
/*                FinalFax 0.95: Final Writer ARexx Macro                   */
/*   Use FinalFax to select either the regular PrefPrinter Driver or the    */
/*   GPFax Printer Driver from within Final Writer.                         */
/* ======================================================================== */
/*               FinalFax.rexx Version 0.90 by Steve Bowie                  */
/*    Version 0.95 by Gary V.Raposo (raposo@ecf.toronto.edu) 11.01.95       */
/*  E-Mail ad542@torfree.net for info on more Final Writer ARexx macros     */
/* ======================================================================== */
/*                      Optimized with RexxOpt 1.7                          */
/* ======================================================================== */
CoName_default=FINALFAX;FWdensity_default=4;OPTIONS results;SHOWMESSAGE 1 0' "Install GPFax driver" "            or" "PrefPrinter driver?" " GPFax driver "  " PrefPrinter driver " "" ';IF Result=1 THEN;DO;CALL LFPORT;GFXPRINTPREFS Density 7;ADDRESS REXX_GPFAX;PRTDRIVER ON;PRTPOPUP ON;SCHEDULER ON;ADDRESS;SHOWMESSAGE 1 0' " " "Do you want to change the default company name?" " " " Change company name " " Use default company name " "" ';IF Result=1 THEN;DO;Result=CoName_default;REQUESTTEXT ' "From: (Company Name)" "Name to be used in fax header" 'CoName_default' ';Sender=RESULT;ADDRESS REXX_GPFAX;COMPANYNAME Sender;END;ADDRESS;CALL TOCOVER;END;ELSE;DO;CALL LFPORT;GFXPRINTPREFS density FWdensity_default;ADDRESS REXX_GPFAX;PRTDRIVER OFF;COMPANYNAME CoName_default;END;TOCOVER:;OPTIONS Results;GETSECTIONLIST;list=Result;IF INDEX(list,"Fax_Cover")=0 THEN NOP;ELSE;DO;GOTOSECTION Fax_Cover;MOVETOLINE 1 0;UPDATEDATE;UPDATETIME;END;RETURN;LFPORT:;IF ~SHOW(PORTS,REXX_GPFAX);THEN;DO;ShowMessage 1 0' " " "GPFax is not running." " " "   Start GPFax   " " Cancel " "" ';IF Result=1 THEN;DO;ADDRESS COMMAND 'RUN > NIL GPFax:GPFax -Q';ADDRESS COMMAND 'WAITFORPORT REXX_GPFAX';END;ELSE IF Result=2 THEN;DO;SHOWMESSAGE 1 0 '"GPFax startup aborted." "" "" "OK" "" "" ';EXIT;END;RETURN;END